import ArenaActionTypes from "../../ActionTypes";
import ActionTypes from "./ActionTypes";
export function setState(state) {
    return {
        type: ArenaActionTypes.ARENA_SCENE_SET_STATE,
        state: state
    };
}
export function nextPhase(phase) {
    return {
        type: ActionTypes.ARENA_SCENE_ANIMATION_NEXTPHRASE,
        phase: phase
    };
}
export function startLeaving() {
    return {
        type: ActionTypes.ARENA_SCENE_ANIMATION_LEAVING_START
    };
}
export function loadSceneBundle(sceneBundleThunk) {
    return {
        type: ActionTypes.ARENA_SCENE_ANIMATION_LOAD_BUNDLE,
        sceneBundleThunk: sceneBundleThunk
    };
}
export default { setState: setState, nextPhase: nextPhase, startLeaving: startLeaving, loadSceneBundle: loadSceneBundle };
