import { CurtainLoadScene } from "./actions";
import { CurtainState, ReducerDict, SceneBundle } from "../../core";
export declare type BundleComponentState = {
    loadedPromise: Promise<null>;
};
export declare type BundleComponentBaseProps = CurtainState & {
    clearCurtain: () => void;
};
export declare type BundleComponentConnectedProps = BundleComponentBaseProps & {
    curtainLoadScene: CurtainLoadScene;
};
export declare type BundleComponentProps = {
    arenaReducerDict: ReducerDict;
    sceneBundle: SceneBundle;
    sceneProps: any;
};
