/// <reference types="react" />
import { EnhancedStore, ReducerDict, SceneBundle } from "../../core";
export declare type ArenaSceneExtraProps = {
    reducerKey?: string;
    vReducerKey?: string;
};
export declare type ArenaSceneProps<SP, SS> = ArenaSceneExtraProps & {
    sceneProps?: SP;
    sceneBundle: SceneBundle<SP, SS>;
};
export declare type ArenaSceneState = {
    parentReducerKey: string;
    arenaReducerDict: ReducerDict;
    ConnectedBundleComponent: React.SFC<any>;
    connectedBundleElement: React.SFCElement<any>;
};
export declare type ArenaSceneContext = {
    store: EnhancedStore<any>;
    arenaReducerDict: ReducerDict | null | undefined;
};
