Object.defineProperty(exports, "__esModule", { value: true });
var ActionTypes_1 = require("../../ActionTypes");
var ActionTypes_2 = require("./ActionTypes");
function setState(state) {
    return {
        type: ActionTypes_1.default.ARENA_SCENE_SET_STATE,
        state: state
    };
}
exports.setState = setState;
function nextPhase(phase) {
    return {
        type: ActionTypes_2.default.ARENA_SCENE_ANIMATION_NEXTPHRASE,
        phase: phase
    };
}
exports.nextPhase = nextPhase;
function startLeaving() {
    return {
        type: ActionTypes_2.default.ARENA_SCENE_ANIMATION_LEAVING_START
    };
}
exports.startLeaving = startLeaving;
function loadSceneBundle(sceneBundleThunk) {
    return {
        type: ActionTypes_2.default.ARENA_SCENE_ANIMATION_LOAD_BUNDLE,
        sceneBundleThunk: sceneBundleThunk
    };
}
exports.loadSceneBundle = loadSceneBundle;
exports.default = { setState: setState, nextPhase: nextPhase, startLeaving: startLeaving, loadSceneBundle: loadSceneBundle };
